"use strict";
module.exports = {
  create: {
    requestBody: ["name", "login_id", "password"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["name", "login_id", "password"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "name",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  login: {
    requestBody: ["login_id", "password"],
    service: "login",
  },
};
