'use strict';
const { CrudService } = require('naf-framework-mongoose/lib/service');
const { BusinessError, ErrorCode } = require('naf-core').Error;
const _ = require('lodash');
const assert = require('assert');

// 设置
class SettingService extends CrudService {
  constructor(ctx) {
    super(ctx, 'setting');
    this.model = this.ctx.model.Setting;
  }
  async query() {
    let data = await this.model.findOne();
    if (!data) data = await this.model.create();
    return data;
  }
}

module.exports = SettingService;
