'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  router.get('/', controller.home.index);
  require('./router/system/admin')(app); // 管理员
  require('./router/setting')(app); // 设置
  require('./router/space')(app); // 场地
  require('./router/arrange')(app); // 安排
  require('./router/order')(app); // 订单
  require('./router/vip')(app); // 会员
  require('./router/credit')(app); // 充值
};
